source: configure @ 191cfb1

Last change on this file since 191cfb1 was 191cfb1, checked in by Wilmer van der Gaast <wilmer@…>, at 2010-12-16T22:48:23Z

Fixing syntax error in configure script.

  • Property mode set to 100755
File size: 17.8 KB
Line 
1#!/bin/sh
2
3##############################
4##  Configurer for BitlBee  ##
5##                          ##
6##  Copyright 2004 Lintux   ##
7##  Copyright 2002 Lucumo   ##
8##############################
9
10prefix='/usr/local/'
11bindir='$prefix/sbin/'
12etcdir='$prefix/etc/bitlbee/'
13mandir='$prefix/share/man/'
14datadir='$prefix/share/bitlbee/'
15config='/var/lib/bitlbee/'
16plugindir='$prefix/lib/bitlbee/'
17includedir='$prefix/include/bitlbee/'
18libevent='/usr/'
19pidfile='/var/run/bitlbee.pid'
20ipcsocket='/var/run/bitlbee.sock'
21pcdir='$prefix/lib/pkgconfig'
22systemlibdirs="/lib /lib64 /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64"
23
24msn=1
25jabber=1
26oscar=1
27yahoo=1
28twitter=1
29twitter=1
30purple=0
31
32debug=0
33strip=1
34gcov=0
35plugins=1
36otr=0
37
38events=glib
39ldap=0
40ssl=auto
41
42arch=`uname -s`
43cpu=`uname -m`
44
45GLIB_MIN_VERSION=2.4
46
47echo BitlBee configure
48
49while [ -n "$1" ]; do
50        e="`expr "X$1" : 'X--\(.*=.*\)'`"
51        if [ -z "$e" ]; then
52                cat<<EOF
53
54Usage: $0 [OPTIONS]
55
56Option          Description                             Default
57
58--prefix=...    Directories to put files in             $prefix
59--bindir=...                                            $bindir
60--etcdir=...                                            $etcdir
61--mandir=...                                            $mandir
62--datadir=...                                           $datadir
63--plugindir=...                                         $plugindir
64--pidfile=...                                           $pidfile
65--config=...                                            $config
66--ipcsocket=...                                         $ipcsocket
67
68--msn=0/1       Disable/enable MSN part                 $msn
69--jabber=0/1    Disable/enable Jabber part              $jabber
70--oscar=0/1     Disable/enable Oscar part (ICQ, AIM)    $oscar
71--yahoo=0/1     Disable/enable Yahoo part               $yahoo
72--twitter=0/1   Disable/enable Twitter part             $twitter
73
74--purple=0/1    Disable/enable libpurple support        $purple
75                (automatically disables other protocol modules)
76
77--debug=0/1     Disable/enable debugging                $debug
78--strip=0/1     Disable/enable binary stripping         $strip
79--gcov=0/1      Disable/enable test coverage reporting  $gcov
80--plugins=0/1   Disable/enable plugins support          $plugins
81--otr=0/1/auto/plugin
82                Disable/enable OTR encryption support   $otr
83
84--events=...    Event handler (glib, libevent)          $events
85--ssl=...       SSL library to use (gnutls, nss, openssl, bogus, auto)
86                                                        $ssl
87
88--target=...    Cross compilation target                same as host
89EOF
90                exit;
91        fi
92        eval "$e"
93        shift;
94done
95
96# Expand $prefix and get rid of double slashes
97bindir=`eval echo "$bindir/" | sed 's/\/\{1,\}/\//g'`
98etcdir=`eval echo "$etcdir/" | sed 's/\/\{1,\}/\//g'`
99mandir=`eval echo "$mandir/" | sed 's/\/\{1,\}/\//g'`
100datadir=`eval echo "$datadir/" | sed 's/\/\{1,\}/\//g'`
101config=`eval echo "$config/" | sed 's/\/\{1,\}/\//g'`
102plugindir=`eval echo "$plugindir/" | sed 's/\/\{1,\}/\//g'`
103includedir=`eval echo "$includedir"/ | sed 's/\/\{1,\}/\//g'`
104libevent=`eval echo "$libevent"/ | sed 's/\/\{1,\}/\//g'`
105
106pidfile=`eval echo "$pidfile" | sed 's/\/\{1,\}/\//g'`
107ipcsocket=`eval echo "$ipcsocket" | sed 's/\/\{1,\}/\//g'`
108pcdir=`eval echo "$pcdir" | sed 's/\/\{1,\}/\//g'`
109
110cat<<EOF>Makefile.settings
111## BitlBee settings, generated by configure
112PREFIX=$prefix
113BINDIR=$bindir
114ETCDIR=$etcdir
115MANDIR=$mandir
116DATADIR=$datadir
117PLUGINDIR=$plugindir
118CONFIG=$config
119INCLUDEDIR=$includedir
120PCDIR=$pcdir
121
122TARGET=$target
123ARCH=$arch
124CPU=$cpu
125
126DESTDIR=
127LFLAGS=
128EFLAGS=
129EOF
130
131srcdir=$(cd $(dirname $0);pwd)
132currdir=$(pwd)
133if [ "$srcdir" != "$currdir" ]; then 
134        echo
135        echo "configure script run from a different directory. Will create some symlinks..."
136        if [ ! -e Makefile -o -L Makefile ]; then
137                COPYDIRS="doc lib protocols tests utils"
138                mkdir -p $(cd "$srcdir"; find $COPYDIRS -type d)
139                find . -name Makefile -type l -print0 | xargs -0 rm 2> /dev/null
140                dst="$PWD"
141                cd "$srcdir"
142                for i in $(find . -name Makefile -type f); do
143                        ln -s "$PWD${i#.}" "$dst/$i";
144                done
145                cd "$dst"
146                rm -rf .bzr
147        fi
148       
149        echo "SRCDIR=$srcdir/" >> Makefile.settings
150        CFLAGS="$CFLAGS -I${dst}"
151else
152        srcdir=$PWD
153fi
154
155cat<<EOF>config.h
156/* BitlBee settings, generated by configure
157   
158   Do *NOT* use any of these defines in your code without thinking twice, most
159   of them can/will be overridden at run-time */
160
161#define CONFIG "$config"
162#define ETCDIR "$etcdir"
163#define VARDIR "$datadir"
164#define PLUGINDIR "$plugindir"
165#define PIDFILE "$pidfile"
166#define IPCSOCKET "$ipcsocket"
167#define ARCH "$arch"
168#define CPU "$cpu"
169EOF
170
171
172
173if [ -n "$target" ]; then
174        PKG_CONFIG_LIBDIR=/usr/$target/lib/pkgconfig
175        export PKG_CONFIG_LIBDIR
176        PATH=/usr/$target/bin:$PATH
177        CC=$target-cc
178        LD=$target-ld
179        systemlibdirs="/usr/$target/lib"
180fi
181
182
183if [ "$debug" = "1" ]; then
184        [ -z "$CFLAGS" ] && CFLAGS=-g
185        echo 'DEBUG=1' >> Makefile.settings
186        CFLAGS="$CFLAGS -DDEBUG"
187else
188        [ -z "$CFLAGS" ] && CFLAGS="-O2 -fno-strict-aliasing"
189fi
190
191echo CFLAGS=$CFLAGS $CPPFLAGS >> Makefile.settings
192echo CFLAGS+=-I${srcdir} -I${srcdir}/lib -I${srcdir}/protocols -I. >> Makefile.settings
193
194echo CFLAGS+=-DHAVE_CONFIG_H >> Makefile.settings
195
196if [ -n "$CC" ]; then
197        CC=$CC
198elif type gcc > /dev/null 2> /dev/null; then
199        CC=gcc
200elif type cc > /dev/null 2> /dev/null; then
201        CC=cc
202else
203        echo 'Cannot find a C compiler, aborting.'
204        exit 1;
205fi
206
207echo "CC=$CC" >> Makefile.settings;
208if echo $CC | grep -qw gcc; then
209        # Apparently -Wall is gcc-specific?
210        echo CFLAGS+=-Wall >> Makefile.settings
211fi
212
213if [ -z "$LD" ]; then
214        if type ld > /dev/null 2> /dev/null; then
215                LD=ld
216        else
217                echo 'Cannot find ld, aborting.'
218                exit 1;
219        fi
220fi
221
222echo "LD=$LD" >> Makefile.settings
223
224if [ -z "$PKG_CONFIG" ]; then
225        PKG_CONFIG=pkg-config
226fi
227
228if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG glib-2.0; then
229        if $PKG_CONFIG glib-2.0 --atleast-version=$GLIB_MIN_VERSION; then
230                cat<<EOF>>Makefile.settings
231EFLAGS+=`$PKG_CONFIG --libs glib-2.0 gmodule-2.0`
232CFLAGS+=`$PKG_CONFIG --cflags glib-2.0 gmodule-2.0`
233EOF
234        else
235                echo
236                echo 'Found glib2 '`$PKG_CONFIG glib-2.0 --modversion`', but version '$GLIB_MIN_VERSION' or newer is required.'
237                exit 1
238        fi
239else
240        echo
241        echo 'Cannot find glib2 development libraries, aborting. (Install libglib2-dev?)'
242        exit 1
243fi
244
245if [ "$events" = "libevent" ]; then
246        if ! [ -f "${libevent}include/event.h" ]; then
247                echo
248                echo 'Warning: Could not find event.h, you might have to install it and/or specify'
249                echo 'its location using the --libevent= argument. (Example: If event.h is in'
250                echo '/usr/local/include and binaries are in /usr/local/lib: --libevent=/usr/local)'
251        fi
252       
253        echo '#define EVENTS_LIBEVENT' >> config.h
254        cat <<EOF>>Makefile.settings
255EFLAGS+=-levent -L${libevent}lib
256CFLAGS+=-I${libevent}include
257EOF
258elif [ "$events" = "glib" ]; then
259        ## We already use glib anyway, so this is all we need (and in fact not even this, but just to be sure...):
260        echo '#define EVENTS_GLIB' >> config.h
261else
262        echo
263        echo 'ERROR: Unknown event handler specified.'
264        exit 1
265fi
266echo 'EVENT_HANDLER=events_'$events'.o' >> Makefile.settings
267
268detect_gnutls()
269{
270        if $PKG_CONFIG --exists gnutls; then
271                cat <<EOF>>Makefile.settings
272EFLAGS+=`$PKG_CONFIG --libs gnutls` `libgcrypt-config --libs`
273CFLAGS+=`$PKG_CONFIG --cflags gnutls` `libgcrypt-config --cflags`
274EOF
275                ssl=gnutls
276                ret=1
277        elif libgnutls-config --version > /dev/null 2> /dev/null; then
278                cat <<EOF>>Makefile.settings
279EFLAGS+=`libgnutls-config --libs` `libgcrypt-config --libs`
280CFLAGS+=`libgnutls-config --cflags` `libgcrypt-config --cflags`
281EOF
282               
283                ssl=gnutls
284                ret=1;
285        else
286                ret=0;
287        fi;
288}
289
290detect_nss()
291{
292        if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG nss; then
293                cat<<EOF>>Makefile.settings
294EFLAGS+=`$PKG_CONFIG --libs nss`
295CFLAGS+=`$PKG_CONFIG --cflags nss`
296EOF
297               
298                ssl=nss
299                ret=1;
300        else
301                ret=0;
302        fi;
303}
304
305detect_ldap()
306{
307        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
308        if $CC -o $TMPFILE -shared -lldap 2>/dev/null >/dev/null; then
309                cat<<EOF>>Makefile.settings
310EFLAGS+=-lldap
311CFLAGS+=
312EOF
313                ldap=1
314                rm -f $TMPFILE
315                ret=1
316        else
317                ldap=0
318                ret=0
319        fi
320}
321
322RESOLV_TESTCODE='
323#include <arpa/nameser.h>
324#include <resolv.h>
325
326int main()
327{
328        ns_initparse( NULL, 0, NULL );
329        ns_parserr( NULL, ns_s_an, 0, NULL );
330}
331'
332
333detect_resolv_dynamic()
334{
335        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
336        ret=1
337        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -lresolv >/dev/null 2>/dev/null
338        if [ "$?" = "0" ]; then
339                echo 'EFLAGS+=-lresolv' >> Makefile.settings
340                ret=0
341        fi
342
343        rm -f $TMPFILE
344        return $ret
345}
346
347detect_resolv_static()
348{
349        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
350        ret=1
351        for i in $systemlibdirs; do
352                if [ -f $i/libresolv.a ]; then
353                        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -Wl,$i/libresolv.a >/dev/null 2>/dev/null
354                        if [ "$?" = "0" ]; then
355                                echo 'EFLAGS+='$i'/libresolv.a' >> Makefile.settings
356                                ret=0
357                        fi
358                fi
359        done
360
361        rm -f $TMPFILE
362        return $ret
363}
364
365if [ "$ssl" = "auto" ]; then
366        detect_gnutls
367        if [ "$ret" = "0" ]; then
368                # Disable NSS for now as it's known to not work very well ATM.
369                #detect_nss
370                :
371        fi
372elif [ "$ssl" = "gnutls" ]; then
373        detect_gnutls
374elif [ "$ssl" = "nss" ]; then
375        detect_nss
376elif [ "$ssl" = "sspi" ]; then
377        echo
378elif [ "$ssl" = "openssl" ]; then
379        echo
380        echo 'No detection code exists for OpenSSL. Make sure that you have a complete'
381        echo 'install of OpenSSL (including devel/header files) before reporting'
382        echo 'compilation problems.'
383        echo
384        echo 'Also, keep in mind that the OpenSSL is, according to some people, not'
385        echo 'completely GPL-compatible. Using GnuTLS or NSS is recommended and better'
386        echo 'supported by us. However, on many BSD machines, OpenSSL can be considered'
387        echo 'part of the operating system, which makes it GPL-compatible.'
388        echo
389        echo 'For more info, see: http://www.openssl.org/support/faq.html#LEGAL2'
390        echo '                    http://www.gnome.org/~markmc/openssl-and-the-gpl.html'
391        echo
392        echo 'Please note that distributing a BitlBee binary which links to OpenSSL is'
393        echo 'probably illegal. If you want to create and distribute a binary BitlBee'
394        echo 'package, you really should use GnuTLS or NSS instead.'
395        echo
396        echo 'Also, the OpenSSL license requires us to say this:'
397        echo ' *    "This product includes software developed by the OpenSSL Project'
398        echo ' *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"'
399       
400        echo 'EFLAGS+=-lssl -lcrypto' >> Makefile.settings
401       
402        ret=1
403elif [ "$ssl" = "bogus" ]; then
404        echo
405        echo 'Using bogus SSL code. This means some features will not work properly.'
406       
407        ## Yes, you, at the console! How can you authenticate if you don't have any SSL!?
408        if [ "$msn" = "1" -o "$yahoo" = "1" ]; then
409                echo
410                echo 'WARNING: The MSN and Yahoo! modules will not work without SSL. Disabling.'
411                msn=0
412                yahoo=0
413        fi
414       
415        ret=1
416else
417        echo
418        echo 'ERROR: Unknown SSL library specified.'
419        exit 1
420fi
421
422if [ "$ret" = "0" ]; then
423        echo
424        echo 'ERROR: Could not find a suitable SSL library (GnuTLS, libnss or OpenSSL).'
425        echo '       Please note that this script doesn'\''t have detection code for OpenSSL,'
426        echo '       so if you want to use that, you have to select it by hand. If you don'\''t'
427        echo '       need SSL support, you can select the "bogus" SSL library. (--ssl=bogus)'
428       
429        exit 1
430fi;
431
432if [ "$msn" = "1" -a "$ssl" != "openssl" -a "$ssl" != "gnutls" ]; then
433        # Needed for MSN only. OpenSSL exports nice cipher functions already,
434        # in case of GnuTLS we should be able to use gcrypt. Otherwise, use
435        # built-in stuff. (Since right now those are the only two supported
436        # SSL modules anyway, this is mostly unnecessary.)
437        echo 'DES=des.o' >> Makefile.settings
438fi
439
440echo 'SSL_CLIENT=ssl_'$ssl'.o' >> Makefile.settings
441
442if detect_resolv_dynamic || detect_resolv_static; then
443        echo '#define HAVE_RESOLV_A' >> config.h
444fi
445
446STORAGES="xml"
447
448if [ "$ldap" = "auto" ]; then
449        detect_ldap
450fi
451
452if [ "$ldap" = 0 ]; then
453        echo "#undef WITH_LDAP" >> config.h
454elif [ "$ldap" = 1 ]; then
455        echo
456        echo 'LDAP support is a work in progress and does NOT work AT ALL right now.'
457        echo
458        exit 1
459       
460        echo "#define WITH_LDAP 1" >> config.h
461        STORAGES="$STORAGES ldap"
462fi
463
464for i in $STORAGES; do
465        STORAGE_OBJS="$STORAGE_OBJS storage_$i.o"
466done
467echo "STORAGE_OBJS="$STORAGE_OBJS >> Makefile.settings
468
469if [ "$strip" = 0 ]; then
470        echo "STRIP=\# skip strip" >> Makefile.settings;
471else
472        if [ "$debug" = 1 ]; then
473                echo
474                echo 'Stripping binaries does not make sense when debugging. Stripping disabled.'
475                echo 'STRIP=\# skip strip' >> Makefile.settings
476                strip=0;
477        elif [ -n "$STRIP" ]; then
478                echo "STRIP=$STRIP" >> Makefile.settings;
479        elif type strip > /dev/null 2> /dev/null; then
480                echo "STRIP=strip" >> Makefile.settings;
481        else
482                echo
483                echo 'No strip utility found, cannot remove unnecessary parts from executable.'
484                echo 'STRIP=\# skip strip' >> Makefile.settings
485                strip=0;
486        fi;
487fi
488
489if [ "$gcov" = "1" ]; then
490        echo "CFLAGS+=--coverage" >> Makefile.settings
491        echo "EFLAGS+=--coverage" >> Makefile.settings
492fi
493
494if [ "$plugins" = 0 ]; then
495        echo '#undef WITH_PLUGINS' >> config.h
496else
497        echo '#define WITH_PLUGINS' >> config.h
498fi
499
500otrprefix=""
501for i in / /usr /usr/local; do
502        if [ -f ${i}/lib/libotr.a ]; then
503                otrprefix=${i}
504                break
505        fi
506done
507if [ "$otr" = "auto" ]; then
508        if [ -n "$otrprefix" ]; then
509                otr=1
510        else
511                otr=0
512        fi
513fi
514if [ "$otr" = 1 ]; then
515        # BI == built-in
516        echo '#define OTR_BI' >> config.h
517        echo "EFLAGS+=-L${otrprefix}/lib -lotr" >> Makefile.settings
518        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
519        echo 'OTR_BI=otr.o' >> Makefile.settings
520elif [ "$otr" = "plugin" ]; then
521        echo '#define OTR_PI' >> config.h
522        echo "OTRFLAGS=-L${otrprefix}/lib -lotr" >> Makefile.settings
523        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
524        echo 'OTR_PI=otr.so' >> Makefile.settings
525fi
526
527if [ ! -e doc/user-guide/help.txt ] && ! type xmlto > /dev/null 2> /dev/null; then
528        echo
529        echo 'WARNING: Building from an unreleased source tree without prebuilt helpfile.'
530        echo 'Install xmlto if you want online help to work.'
531fi
532
533echo
534if [ -z "$BITLBEE_VERSION" -a -d .bzr ] && type bzr > /dev/null 2> /dev/null; then
535        nick=`bzr nick`
536        if [ -n "$nick" -a "$nick" != "bitlbee" ]; then
537                nick="-$nick"
538        else
539                nick=""
540        fi
541        rev=`bzr revno`
542        echo 'Using bzr revision #'$rev' as version number'
543        BITLBEE_VERSION=\"bzr$nick-$rev\"
544fi
545
546if [ -n "$BITLBEE_VERSION" ]; then
547        echo 'Spoofing version number: '$BITLBEE_VERSION
548        echo '#undef BITLBEE_VERSION' >> config.h
549        echo '#define BITLBEE_VERSION '$BITLBEE_VERSION >> config.h
550        echo
551fi
552
553if ! make helloworld > /dev/null 2>&1; then
554        echo "WARNING: Your version of make (BSD make?) does not support BitlBee's makefiles."
555        echo "BitlBee needs GNU make to build properly. On most systems GNU make is available"
556        echo "under the name 'gmake'."
557        echo
558        if gmake helloworld > /dev/null 2>&1; then
559                echo "gmake seems to be available on your machine, great."
560                echo
561        else
562                echo "gmake is not installed (or not working). Please try to install it."
563                echo
564        fi
565fi
566
567cat <<EOF>bitlbee.pc
568prefix=$prefix
569includedir=$includedir
570
571Name: bitlbee
572Description: IRC to IM gateway
573Requires: glib-2.0
574Version: $BITLBEE_VERSION
575Libs:
576Cflags: -I\${includedir}
577
578EOF
579
580protocols=''
581protoobjs=''
582
583if [ "$purple" = 0 ]; then
584        echo '#undef WITH_PURPLE' >> config.h
585else
586        if ! $PKG_CONFIG purple; then
587                echo
588                echo 'Cannot find libpurple development libraries, aborting. (Install libpurple-dev?)'
589                exit 1
590        fi
591        echo '#define WITH_PURPLE' >> config.h
592        cat<<EOF>>Makefile.settings
593EFLAGS += $($PKG_CONFIG purple --libs)
594PURPLE_CFLAGS += $($PKG_CONFIG purple --cflags)
595EOF
596        protocols=$protocols'purple '
597        protoobjs=$protoobjs'purple_mod.o '
598
599        # Having both libpurple and native IM modules in one binary may
600        # do strange things. Let's not do that.
601        msn=0
602        jabber=0
603        oscar=0
604        yahoo=0
605       
606        if [ "$events" = "libevent" ]; then
607                echo 'Warning: Some libpurple modules (including msn-pecan) do their event handling'
608                echo 'outside libpurple, talking to GLib directly. At least for now the combination'
609                echo 'libpurple + libevent is *not* recommended!'
610                echo
611        fi
612fi
613
614case "$CC" in
615*gcc* )
616        echo CFLAGS+=-MD -MF .depend/\$@.d >> Makefile.settings
617        for i in . lib protocols protocols/*/; do
618                mkdir -p $i/.depend
619        done
620esac
621
622if [ "$msn" = 0 ]; then
623        echo '#undef WITH_MSN' >> config.h
624else
625        echo '#define WITH_MSN' >> config.h
626        protocols=$protocols'msn '
627        protoobjs=$protoobjs'msn_mod.o '
628fi
629
630if [ "$jabber" = 0 ]; then
631        echo '#undef WITH_JABBER' >> config.h
632else
633        echo '#define WITH_JABBER' >> config.h
634        protocols=$protocols'jabber '
635        protoobjs=$protoobjs'jabber_mod.o '
636fi
637
638if [ "$oscar" = 0 ]; then
639        echo '#undef WITH_OSCAR' >> config.h
640else
641        echo '#define WITH_OSCAR' >> config.h
642        protocols=$protocols'oscar '
643        protoobjs=$protoobjs'oscar_mod.o '
644fi
645
646if [ "$yahoo" = 0 ]; then
647        echo '#undef WITH_YAHOO' >> config.h
648else
649        echo '#define WITH_YAHOO' >> config.h
650        protocols=$protocols'yahoo '
651        protoobjs=$protoobjs'yahoo_mod.o '
652fi
653
654if [ "$twitter" = 0 ]; then
655        echo '#undef WITH_TWITTER' >> config.h
656else
657        echo '#define WITH_TWITTER' >> config.h
658        protocols=$protocols'twitter '
659        protoobjs=$protoobjs'twitter_mod.o '
660fi
661
662if [ "$protocols" = "PROTOCOLS = " ]; then
663        echo "Warning: You haven't selected any communication protocol to compile!"
664        echo "         BitlBee will run, but you will be unable to connect to IM servers!"
665fi
666
667echo "PROTOCOLS = $protocols" >> Makefile.settings
668echo "PROTOOBJS = $protoobjs" >> Makefile.settings
669
670echo Architecture: $arch
671case "$arch" in
672Linux )
673;;
674GNU/* )
675;;
676*BSD )
677;;
678Darwin )
679        echo 'STRIP=\# skip strip' >> Makefile.settings
680;;
681IRIX )
682;;
683SunOS )
684        echo 'EFLAGS+=-lresolv -lnsl -lsocket' >> Makefile.settings
685        echo 'STRIP=\# skip strip' >> Makefile.settings
686        echo '#define NO_FD_PASSING' >> config.h
687;;
688AIX )
689        echo 'EFLAGS+=-Wl,-brtl' >> Makefile.settings
690;;
691CYGWIN* )
692        echo 'Cygwin is not officially supported.'
693;;
694Windows )
695;;
696* )
697        echo 'We haven'\''t tested BitlBee on many platforms yet, yours is untested. YMMV.'
698        echo 'Please report any problems at http://bugs.bitlbee.org/.'
699;;
700esac
701
702if [ -n "$target" ]; then
703        echo "Cross-compiling for: $target"
704fi
705
706echo
707echo 'Configuration done:'
708
709if [ "$debug" = "1" ]; then
710        echo '  Debugging enabled.'
711else
712        echo '  Debugging disabled.'
713fi
714
715if [ "$strip" = "1" ]; then
716        echo '  Binary stripping enabled.'
717else
718        echo '  Binary stripping disabled.'
719fi
720
721if [ "$otr" = "1" ]; then
722        echo '  Off-the-Record (OTR) Messaging enabled.'
723elif [ "$otr" = "plugin" ]; then
724        echo '  Off-the-Record (OTR) Messaging enabled (as a plugin).'
725else
726        echo '  Off-the-Record (OTR) Messaging disabled.'
727fi
728
729echo '  Using event handler: '$events
730echo '  Using SSL library: '$ssl
731echo '  Building with these storage backends: '$STORAGES
732
733if [ -n "$protocols" ]; then
734        echo '  Building with these protocols:' $protocols
735else
736        echo '  Building without IM-protocol support. We wish you a lot of fun...'
737fi
Note: See TracBrowser for help on using the repository browser.